## visad
Class TextControl.Justification

    java.lang.Object
      visad.TextControl.Justification

Enclosing class:
  TextControl

public static class TextControl.Justification
extends Object

A class to represent the different types of justification. Use a class so the user can't just pass in an arbitrary integer

Field Summary
`static TextControl.Justification` `BOTTOM` Predefined value for bottom justification
`static TextControl.Justification` `CENTER` Predefined value for center justification
`static TextControl.Justification` `LEFT` Predefined value for left justification
`static TextControl.Justification` `RIGHT` Predefined value for right justification
`static TextControl.Justification` `TOP` Predefined value for top justification

Constructor Summary
`TextControl.Justification(String newName)` Constructor - simply store the name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final TextControl.Justification LEFT

  Predefined value for left justification

### CENTER

    public static final TextControl.Justification CENTER

  Predefined value for center justification

### RIGHT

    public static final TextControl.Justification RIGHT

  Predefined value for right justification

### TOP

    public static final TextControl.Justification TOP

  Predefined value for top justification

### BOTTOM

    public static final TextControl.Justification BOTTOM

  Predefined value for bottom justification

Constructor Detail

### TextControl.Justification

    public TextControl.Justification(String newName)

  Constructor - simply store the name